Developer Documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
VSI::Context Class Reference

`#include <Plugin-VSI/parser/context.hh>`

## Public Member Functions
| Context (QScriptEngine *_engine)
| Constructor.
| ~Context ()
| Destructor.
void | parse (QByteArray _xml)
| Parse xml content.
const QVector< Element * > & | elements () const
| Returns all available elements.
QVector< Element * > | elements (QString _category)
| Returns all available elements for a given category.
Element * | element (QString _name)
| Returns the element with a given name.
QStringList | categories ()
| List of categories.
void | registerType (Type *_type)
| Registers a supported datatype.
bool | typeSupported (QString _type)
| Is the given type supported.
Type * | getType (QString _type)
| Get type object for given type name.
bool | canConvert (QString _type1, QString _type2)
| Can the given types be converted to each other.
QScriptEngine * | scriptEngine ()
| Return script engine pointer.

## Static Public Member Functions
static bool | strToBool (QString _str)
| Converts the given string to bool.
static QString | getXmlString (QXmlQuery &_xml, QString _expr, QString _default="")
| Gets the string of a xml query.

## Private Member Functions
void | parseElement (QXmlQuery &_xml)
Input * | parseInput (QXmlQuery &_xml, Element *_e)
Output * | parseOutput (QXmlQuery &_xml, Element *_e)
Function * | parseFunction (QXmlQuery &_xml, Element *_e)
bool | parseInOutBase (QXmlQuery &_xml, InOut *_io)

## Private Attributes
QVector< Element * > | elements_
QMap< QString, Type * > | supportedTypes_
QList< Type * > | types_
QScriptEngine * | scriptEngine_

## Detailed Description

Class holding all the informations / parsed xml metadata for the visual scripting interface

Definition at line 70 of file context.hh.

The documentation for this class was generated from the following files:

- Plugin-VSI/parser/context.hh
- Plugin-VSI/parser/context.cc